import 'package:dio/dio.dart';
import 'package:polyglothq/src/source_remote/dio/japx_serialization_interceptor.dart';
import 'package:polyglothq/src/source_remote/dio/token_interceptor.dart';
import 'package:polyglothq/src/domain/data/token_holder.dart';

Dio createDio(TokenHolder tokenHolder) {
  Dio _dio;

  const baseUrl = 'https://infinum.polyglothq.com/api';

  final options = BaseOptions(
    baseUrl: baseUrl,
    headers: {'Accept': jsonApiContentType},
    responseType: ResponseType.json,
    contentType: jsonApiContentType,
  );

  _dio = Dio(options);
  _dio.interceptors.addAll(<Interceptor>[
    TokenInterceptor(tokenHolder),
    JapxSerializationInterceptor(),
  ]);

  return _dio;
}
